# Poco::Zip

# class Replace

Library: Zip
Package: Manipulation
Header: Poco/Zip/Replace.h

## Description

Operation Replace replaces the content of an existing entry with a new one

## Inheritance

Direct Base Classes: ZipOperation

All Base Classes: Poco::RefCountedObject, ZipOperation

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, execute, referenceCount, release

## Constructors

### Replace

Replace(
const ZipLocalFileHeader & hdr,
const std::string & localPath
);

Creates the Replace.

## Member Functions

### execute

void execute(
Compress & c,
std::istream & input
);

Performs the replace operation

See also: Poco::Zip::ZipOperation::execute()